<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getSleeveAugmentations](./bitburner.sleeve.getsleeveaugmentations.md)

## Sleeve.getSleeveAugmentations() method

Get augmentations installed on a sleeve.

**Signature:**

```typescript
getSleeveAugmentations(sleeveNumber: number): string[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to retrieve augmentations from.


</td></tr>
</tbody></table>

**Returns:**

string\[\]

List of augmentation names that this sleeve has installed.

## Remarks

RAM cost: 4 GB

Return a list of augmentation names that this sleeve has installed.

